import request from '@/utils/request'
// 日历排期
export const calendarList = (query) => {
    return request({
      url: '/merchant/merchantPerformTime/selectPerformTimeByDate',
      method: 'get',
      params: query
    })
  }

// 排期列表
export const pageList = (query) => {
  return request({
    url: '/merchant/timePlan/pageList',
    method: 'get',
    params: query
  })
}


// 新增/修改
export const saveAndEdit = (data) => {
  return request({
    url: '/merchant/timePlan/insert',
    method: 'post',
    data: data
  })
}


// 演出场次详情
export const getPerformTimeById = (params) => {
  return request({
    url: '/merchant/merchantPerformTime/getById',
    method: 'get',
    params
  })
}

// 删除排期配置
export const deleteById = (params) => {
  return request({
    url: '/merchant/timePlan/deleteById',
    method: 'delete',
    params
  })
}


/**  启用和禁用 场次  */
export function releaseById(data) {
  return request({
    url: '/merchant/merchantPerformTime/updateStatus',
    method: 'put',
    data
  })
}

// 票务查询

export const goodsPageList = (query) => {
  return request({
    url: '/goods/goods/listByPerformId',
    method: 'get',
    params: query
  })
}

// 票务查询（新）

export const goodsPageListNew = (query) => {
  return request({
    url: '/goods/goods/listGoodsByPerformId',
    method: 'get',
    params: query
  })
}

// 销售信息

export const seatTypeTmpSaleCount = (query) => {
  return request({
    url: '/merchant/merchantPerformTime/seatTypeTmpSaleCount',
    method: 'get',
    params: query
  })
}

// 批量删除 日期内的演出场次删除
export const deleteByDateApi = (params) => {
  return request({
    url: '/merchant/merchantPerformTime/deleteByDate',
    method: 'delete',
    params
  })
}


// 删除演出场次信息
export const performTimeDeleteByIdApi = (params) => {
  return request({
    url: '/merchant/merchantPerformTime/deleteById',
    method: 'delete',
    params
  })
}

// 查询演出场次列表
export const selectListByDateApi = (query) => {
  return request({
    url: '/merchant/merchantPerformTime/selectListByDate',
    method: 'get',
    params: query
  })
}


// 查询演出场次列表
export const insertOrUpdateApi = (data) => {
  return request({
    url: '/merchant/merchantPerformTime/insertOrUpdate',
    method: 'post',
    data
  })
}

export const insertOrUpdateNewApi = (data) => {
  return request({
    url: '/merchant/merchantPerformTime/edit',
    method: 'post',
    data: data
  })
}

/**  日期内的场次启、禁用  */
export function updateStatusByDateApi(data) {
  return request({
    url: '/merchant/merchantPerformTime/updateStatusByDate',
    method: 'post',
    data
  })
}